from sys import platform

def setPaths():
	global picturePath
	global dataPath
	#print (platform)
	#You might need to also make a new case if Macintosh computers have a different way of writing out file paths and add it here as another case.
	if platform == "linux":
		picturePath = '/Accounts/turing/students/s23/dalech03/Desktop/Cozmo/Pictures/'
		dataPath = '/Accounts/turing/students/s23/dalech03/Desktop/Cozmo/'
	else:
		picturePath = 'C:\\Users\\Cobalt\\Cozmo\\Pictures\\'
		dataPath = 'C:\\Users\\Cobalt\\Cozmo\\'
	#print('Paths set')

def getPicturePath():
	'''Return the file path to the Pictures folder'''
	return picturePath

def getDataPath():
	'''Return the file path to the main folder'''
	return dataPath

def setRange():
	'''Set the turning radius'''
	global range
	range = 360
	
def getRange():	
	'''Return the turning radius'''
	return range
	
def setTurn():
	'''Set how many degrees there are per turn of the robot'''
	global turn
	turn = 15
	
def getTurn():
	'''Return how many degrees there are per turn of the robot'''
	return turn

def setWH():
	'''Store the dimensions of a standard Cozmo camera picture'''
	global width
	global height
	width = 320
	height = 240

def getWidth():
	'''Return the width of a standard Cozmo camera picture'''
	return width
	
def getHeight():
	'''Return the height of a standard Cozmo camera picture'''
	return height

def setScale():
	'''Set the scale to be applied to a picture in downsampling'''
	global scale
	scale = .5
	
def getScale():
	'''Return the scale to be applied to a picture in downsampling'''
	return scale

def setTurnSpeed():
	'''Set the speed at which the robot turns'''
	global speed
	speed = .15

def getTurnSpeed():
	'''Return the speed at which the robot turns'''
	return speed

def setTurnAccel():
	'''Set the acceleration the robot applies to its turns'''
	global accel
	accel = 1

def getTurnAccel():
	'''Return the acceleration the robot applies to its turns'''
	return accel

def setSigma():
	'''Set the sigma value used in opencv downsampling'''
	#This is a value that is used for Gaussian blurring (within the (x, x) thing in the blur function calls). I don't know enough about the blurring process to know what it does, but I figure that keeping it standard across all blurs would be beneficial. It also has to be odd (or zero? Try odd otherwise.)
	global sigma
	sigma = 5

def getSigma():
	'''Return the sigma value used in opencv downsampling'''
	return sigma

def setUpdate(val):
	'''Set the degree to which the robot has turned to localize itself'''
	#Honestly, you could probably move this into the localize method. I just don't have time to do it - it's finals week, currently.
	global update
	update = val

def getUpdate():
	return update


setPaths()
setRange()
setTurn()
setWH()
setScale()
setTurnSpeed()
setTurnAccel()
setSigma()
